Problème installation Micro Playstation Eye pour reconnaissance vocale


#1

Bonjour,

J’ai suivi le tutoriel intitulé “Gladys et la reconnaissance vocale” ([TUTORIEL] - Gladys et la reconnaissance vocale) mais je bloque sur l’installation du micro avec la Playstation Eye.

Dès le début, je rencontre le problème suivant. A l’éxécution de la commande :
sudo apt-get install gstreamer0.10-pulseaudio libao4 libasound2-plugins libgconfmm-2.6-1c2 libglademm-2.4-1c2a libpulse-dev libpulse-mainloop-glib0 libpulse-mainloop-glib0-dbg libpulse0 libpulse0-dbg libsox-fmt-pulse paman paprefs pavucontrol pavumeter pulseaudio pulseaudio-dbg pulseaudio-esound-compat pulseaudio-esound-compat-dbg pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-module-jack pulseaudio-module-lirc pulseaudio-module-lirc-dbg pulseaudio-module-x11 pulseaudio-module-zeroconf pulseaudio-module-zeroconf-dbg pulseaudio-utils oss-compat -y

J’ai ce retour dans le terminal :
Package libgconfmm-2.6-1c2 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
libgconfmm-2.6-1v5

Package libglademm-2.4-1c2a is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  libglademm-2.4-1v5

Package pulseaudio-module-x11 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  pulseaudio

E: Package 'libgconfmm-2.6-1c2' has no installation candidate
E: Package 'libglademm-2.4-1c2a' has no installation candidate
E: Unable to locate package libpulse-mainloop-glib0-dbg
E: Unable to locate package libpulse0-dbg
E: Unable to locate package pulseaudio-dbg
E: Unable to locate package pulseaudio-esound-compat-dbg
E: Unable to locate package pulseaudio-module-lirc-dbg
E: Package 'pulseaudio-module-x11' has no installation candidate
E: Unable to locate package pulseaudio-module-zeroconf-dbg

Est-ce que quelqu’un a aussi rencontré ce problème ?
Quelle est la meilleure manière de le résoudre ?

Je suppose que c’est probablement la raison qui empêche le micro de fonctionner.

Autre point, dans le fichier .asoundrc, il y a deux endroits où hw apparaît. Il est dit que le premier chiffre correspond à la card et le deuxième au device. Pourtant, dans le code, il y a dans un cas hw:1,0 et dans le second hw:0,1. Est-ce normal ? Faut-il avoir les deux à hw:1,0 ?

idem pour card. Il y a un card 0 qui apparaît alors que l’exemple voudrait que ce soit card 1.

Merci d’avance pour votre aide.

Kepsylis :wink:


#2

Salut,

L’erreur dit que le package libgconfmm-2.6-1c2 n’est plus disponible et qu’il faut le remplacer par le package libgconfmm-2.6-1v5.

Apparemment ce n’est pas le seul qui n’est plus disponible. Il faut donc remplacer chaque package manquant par son remplaçant dans la ligne de commande.


#3

Salut ! Tient si besoin, te voilà les deux commandes “à jour” :

sudo apt-get install sox libsox-fmt-all libatlas-base-dev mpg321 pulseaudio
sudo apt-get install gstreamer0.10-pulseaudio libao4 libasound2-plugins libgconfmm-2.6-1v5 libglademm-2.4-1v5 libpulse-dev libpulse-mainloop-glib0 libpulse0 libsox-fmt-pulse paman paprefs pavucontrol pavumeter pulseaudio pulseaudio-esound-compat pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-module-jack pulseaudio-module-lirc pulseaudio-module-zeroconf pulseaudio-utils oss-compat -y

#4

Bonjour, le sujet à déjà été traité, ce serait top de faire une recherche avant de demander de l’aide :slight_smile:


#5

Bonjour,

je réalise que j’ai fait une recherche bien trop générique ce qui m’a fait passer à côté d’un post qui traite effectivement le même problème (à savoir les packages) et pour lequel, c’est toi @Jean34 qui apporte une réponse à l’auteur du post.


#6

@Gurwan Oui, j’avais compris l’erreur mais je ne souhaitais pas installé ces packages sans un avis sur le sujet par peur qu’ils ne soient compatibles pour la suite du tuto (d’éventuel break in change)


#7

Content que tu es trouvé :wink: donc si ton stress est résolu, tu peux nous modifier le titre de ton sujet avec [Résolu] au début de ton titre. Et puis tu peux aussi mettre la redirection vers le message qui t’a aidé, pour les suivants :slight_smile:


#8

Je ne parlerai quand même pas de stress mais la partie “packages” à l’air d’être résolu. Cependant, mon problème initial qui est que le micro ne fonctionne pas reste sans solution.

J’ai bien fait les prérequis logiciel pour le micro PlayStation Eye.

Mon micro branché en usb est bien reconnu :

La commande arecord -l me retourne bien le même résultat que dans le tuto :

Mon fichier ~/.asoundrc contient :
pcm.array {
type plug
slave.pcm “hw:1,0”
}

pcm.array_gain {
    type softvol
    slave {
        pcm "array"
    }
    control {
        name "Mic Gain"
        count 2
    }
    min_dB -10.0
    max_dB 5.0
}

pcm.cap {
    type plug
    slave {
        pcm "array_gain"
        channels 4
    }
    route_policy sum
}

pcm.!default {
    type asym

    ### Playback object ###
    playback.pcm {
        type plug
        slave.pcm "hw:1,0"
    }

    ### Capture object ###
    capture.pcm {
        type plug
        slave.pcm "cap"
    }
}

ctl.!default {
    type hw
    card 1
}

ctl.cap {
    type hw
    card 1
}

Voici ce que j’obtiens avec la commande alsamixer :

Je fais un enregistrement dans le fichier test.wav et quand je le rejoue, je n’entends rien…

J’espère que ces précisions seront suffisantes pour identifier le problème.

Merci pour votre aide.